import { EventEmitter } from "../../../stencil-public-runtime";
import * as langly from "langly";
import { Color, Notice } from "smoothly";
export declare class CustomerWarning {
  color: Color;
  notice: EventEmitter<Notice>;
  element: HTMLElement;
  t: langly.Translate;
  componentWillLoad(): void;
  private retry;
  render(): any[];
}
